net.i2p.router

## Interface Service

- All Known Subinterfaces:
    PeerManagerFacade, TunnelManagerFacade
  All Known Implementing Classes:
    ClientManagerFacade, ClientManagerFacadeImpl, CommSystemFacade, CommSystemFacadeImpl, DummyClientManagerFacade, DummyNetworkDatabaseFacade, DummyPeerManagerFacade, DummyTunnelManagerFacade, FloodfillNetworkDatabaseFacade, InNetMessagePool, KademliaNetworkDatabaseFacade, NetworkDatabaseFacade, PeerManagerFacadeImpl, StatisticsManager, TunnelDispatcher, TunnelPoolManager, VMCommSystem

      public interface Service

  Define the manageable service interface for the subsystems in the I2P router

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderStatusHTML(Writer out)`
    `void` | `restart()` Perform a soft restart.
    `void` | `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
    `void` | `startup()` Instruct the service that it should start normal operation.

- - ### Method Detail

    - #### startup

          void startup()

      Instruct the service that it should start normal operation. This call DOES block until the service is ready.

    - #### shutdown

          void shutdown()

      Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.

    - #### restart

          void restart()

      Perform a soft restart.

    - #### renderStatusHTML

          void renderStatusHTML(Writer out)
                                throws IOException

      Throws:
        `IOException`